Subject: bug#78737: sit-for behavior changes when byte-compiled

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Jun 2025 12:12:03 +0300

> Cc: [email-masked], [email-masked], [email-masked]
> Date: Sat, 14 Jun 2025 11:30:31 +0300
> From: Eli Zaretskii <[email-masked]>
> 
> > "Emergency exit" works in sessions that have a terminal frame.  In such
> > sessions, the code manipulating force_quit_count is never reached.
> > 
> > In GUI sessions, this code is reached, and hitting C-g three times while
> > quit-flag is set will perform a special kind of quit, clearing
> > inhibit-quit.
> > 
> > IIUC, you object to calling this special kind of quit "emergency quit",
> > and would prefer to call it something else.
> > 
> > Is that right?  What's the preferred term for this special kind of quit?
> 
> I don't know.

It seems this feature was originally known as "immediate quit".  At
some point the immediate_quit variable itself was removed, but the
term seems appropriate regardless.  So I suggest that's how we call
it.